#ifndef STA_TACOS_CONFIGS_DEFAULT_HPP
#define STA_TACOS_CONFIGS_DEFAULT_HPP

// Generally, we assume the TACOS threads to have the highest priorties.
#define STA_TACOS_MANAGER_PRIORITY          osPriorityHigh
#define STA_TACOS_STATEMACHINE_PRIORITY     osPriorityHigh
#define STA_TACOS_WATCHDOG_PRIORITY         osPriorityHigh
#define STA_TACOS_CAN_BUS_PRIORITY          osPriorityHigh

// Set the Stack size for the TACOS threads, to 0 to use the default stack size, set in the ioc
#define STA_TACOS_MANAGER_STACK_SIZE        0
#define STA_TACOS_STATEMACHINE_STACK_SIZE   0

// Per default, we assume state 0 to be the initial state.
#define STA_TACOS_INITIAL_STATE             0

// Can Bus settings
#define STA_RTOS_CAN_BUS_QUEUE_LENGTH 25
#define STA_RTOS_CAN_BUS_MAX_FILTER 14
#define STA_RTOS_CAN_BUS_MAX_PAYLOAD_SIZE 8

// State transition message define with highest CAN priority
#define STA_TACOS_CAN_BUS_SYS_MSG_ID 0x0

// TACOS requires system events to start threads
#define STA_RTOS_SYSTEM_EVENTS_ENABLE

#endif // STA_TACOS_CONFIGS_DEFAULT_HPP
